Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2130733 - Review Request: golang-github-google-renameio-2 - atomically create or replace a file or symbolic link.
Summary: Review Request: golang-github-google-renameio-2 - atomically create or replac...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mikel Olasagasti Uranga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2130734
TreeView+ depends on / blocked
 
Reported: 2022-09-29 02:39 UTC by Anthony Rabbito
Modified: 2023-09-01 07:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-06 15:57:02 UTC
Type: ---
Embargoed:
mikel: fedora-review+


Attachments (Terms of Use)

Description Anthony Rabbito 2022-09-29 02:39:49 UTC
Spec URL: https://anthr76.fedorapeople.org/golang-github-google-renameio-2/golang-github-google-renameio-2.spec
SRPM URL: https://anthr76.fedorapeople.org/golang-github-google-renameio-2/golang-github-google-renameio-2-2.0.0-1.fc37.src.rpm
Description: renameio concerns itself only with atomicity, i.e. making sure applications never see unexpected file content (a half-written file, or a 0-byte file). V2 of the import path
Fedora Account System Username: anthr76

Comment 1 Mikel Olasagasti Uranga 2022-10-05 21:09:29 UTC
go2rpm package:

- [x] The specfile is sane.
- [x] License is correct
- [x] Builds successfully in mock
- [x] Package is installable (checked by fedora-review)
- [x] No relevant rpmlint errors
- [x] %check section passes
- [x] The latest version is packaged
- [x] `%goipath` is set correctly
- [-] Binaries don't conflict with binaries already in the distribution
- [x] The package complies with the Packaging Guidelines.

Package approved! On import, don't forget to do the following:

- [ ] Add package to release-monitoring.org
- [ ] Give go-sig privileges on package
- [ ] Close the review bug by referencing it in the rpm changelog and the Bodhi ticket.

Comment 2 Gwyn Ciesla 2022-10-06 14:47:34 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-google-renameio-2

Comment 3 Fedora Update System 2022-10-06 15:56:05 UTC
FEDORA-2022-7487651038 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7487651038

Comment 4 Fedora Update System 2022-10-06 15:57:02 UTC
FEDORA-2022-7487651038 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2022-10-06 16:01:14 UTC
FEDORA-2022-07809a0b0e has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-07809a0b0e

Comment 6 Fedora Update System 2022-10-06 16:01:15 UTC
FEDORA-2022-41e1e3100e has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-41e1e3100e

Comment 7 Fedora Update System 2022-10-07 11:44:06 UTC
FEDORA-2022-41e1e3100e has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-41e1e3100e \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-41e1e3100e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-10-07 15:59:46 UTC
FEDORA-2022-07809a0b0e has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-07809a0b0e \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-07809a0b0e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-10-15 21:18:45 UTC
FEDORA-2022-07809a0b0e has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-11-10 22:11:59 UTC
FEDORA-2022-41e1e3100e has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-09-01 07:20:02 UTC
FEDORA-2023-0de472d1e0 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0de472d1e0

Comment 12 Fedora Update System 2023-09-01 07:22:36 UTC
FEDORA-2023-0de472d1e0 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.